Bug 219874 - Gaim's starttls breaks when connecting to a local jabberd2
Gaim's starttls breaks when connecting to a local jabberd2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 15:36 EST by Steve Hill
Modified: 2008-05-06 13:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:12:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Debug log for Gaim while the bug is causing a problem (1.56 KB, text/plain)
2006-12-15 15:43 EST, Steve Hill
no flags Details
A debug log of Gaim successfully establishing a connection (i.e. the bug is not causing a problem here) (1.87 KB, text/plain)
2006-12-15 15:44 EST, Steve Hill
no flags Details

  None (edit)
Description Steve Hill 2006-12-15 15:36:08 EST
Description of problem:
When connecting to a local jabberd2 server, gaim connects, does "starttls" but
then tries to send data in the clear (which the server rejects since it's
expecting encrypted data).

This doesn't seem to affect it when using a remote XMPP server and using the -d
commandline parameter to turn on debugging causes it to work intermittently, so
it looks like this could be timing related.

Version-Release number of selected component (if applicable):
gaim-2.0.0-0.26.beta5.fc6

How reproducible:
Happens every time when debugging is turned off.

Steps to Reproduce:
1. Connect to a jabberd2 server that's running on the local host using STARTTLS.

Actual results:
Connection hangs and the server logs:
jabberd/c2s[18275]: [18] [::1, port=49587] error: SSL handshake error
(error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number)

Capturing the TCP session with ethereal shows that Gaim tries to continue
sending plain text after STARTTLS has happened.  Turning on debugging shows that
it is sending data without going through SSL, however enabling debugging
sometimes causes the problem to go away.

Expected results:
Gaim should switch to SSL once it has issued a STARTTLS.

Additional info:
I will attach debug logs for both working and non-working sessions
Comment 1 Steve Hill 2006-12-15 15:43:47 EST
Created attachment 143815 [details]
Debug log for Gaim while the bug is causing a problem

Note that by the time the session is torn down it has started using SSL - this
adds weight to the idea that this is timing related.
Comment 2 Steve Hill 2006-12-15 15:44:51 EST
Created attachment 143816 [details]
A debug log of Gaim successfully establishing a connection (i.e. the bug is not causing a problem here)
Comment 3 Bug Zapper 2008-04-04 01:17:03 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 13:12:06 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.